diff -uwr source/scripts/tfx.cpp 4.0/source/scripts/tfx.cpp
--- source/scripts/tfx.cpp	2010-04-14 10:13:24.000000000 +0800
+++ 4.0/source/scripts/tfx.cpp	2011-10-11 23:12:44.100585900 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by TimeFX
-	Copyright 2010 TimeFX, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/tfx.h 4.0/source/scripts/tfx.h
--- source/scripts/tfx.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/tfx.h	2011-10-14 22:27:32.205078100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by TimeFX
-	Copyright 2010 TimeFX, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class TFX_Spawn_When_Killed : public ScriptImpClass {
 	void Killed (GameObject *obj,GameObject *killer);
 };
diff -uwr source/scripts/vector2.h 4.0/source/scripts/vector2.h
--- source/scripts/vector2.h	2010-06-05 22:27:08.000000000 +0800
+++ 4.0/source/scripts/vector2.h	2011-10-11 21:41:08.434570300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VECTOR2_H
 #define TT_INCLUDE__VECTOR2_H
 #include "wwmath.h"
diff -uwr source/scripts/vector4.h 4.0/source/scripts/vector4.h
--- source/scripts/vector4.h	2010-06-05 22:26:18.000000000 +0800
+++ 4.0/source/scripts/vector4.h	2011-10-11 21:41:02.434570300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__VECTOR4_H
 #define TT_INCLUDE__VECTOR4_H
 #include "wwmath.h"
diff -uwr source/scripts/w3d.h 4.0/source/scripts/w3d.h
--- source/scripts/w3d.h	2011-04-27 19:50:24.000000000 +0800
+++ 4.0/source/scripts/w3d.h	2011-10-11 21:40:46.124023400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_W3D_H
 #define TT_INCLUDE_W3D_H
 #include "engine_io.h"
diff -uwr source/scripts/weaponmgr.h 4.0/source/scripts/weaponmgr.h
--- source/scripts/weaponmgr.h	2011-05-22 02:39:36.000000000 +0800
+++ 4.0/source/scripts/weaponmgr.h	2011-10-11 21:40:30.001953100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_WEAPONMGR_H
 #define TT_INCLUDE_WEAPONMGR_H
 #include "Definition.h"
@@ -130,6 +141,9 @@
 	int				GlobalFireSoundDefID;
 	bool            AreaEffectWeapon;
 	bool			AreaEffectWeaponAffectOwner;
+	bool			AreaEffectWeaponAffectFriendly;
+	bool			AreaEffectWeaponAffectEnemy;
+	bool			AreaEffectWeaponAffectNeutral;
 	friend class PresetDump;
 }; // 00AC
 
diff -uwr source/scripts/wwmath.cpp 4.0/source/scripts/wwmath.cpp
--- source/scripts/wwmath.cpp	2010-05-31 13:37:40.000000000 +0800
+++ 4.0/source/scripts/wwmath.cpp	2011-10-11 23:13:07.331054600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "wwmath.h"
 #include <stdlib.h>
diff -uwr source/scripts/wwmath.h 4.0/source/scripts/wwmath.h
--- source/scripts/wwmath.h	2011-05-24 09:41:42.000000000 +0800
+++ 4.0/source/scripts/wwmath.h	2011-10-11 21:40:22.365234300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT__INCLUDE__WWMATH_H
 #define TT__INCLUDE__WWMATH_H
 #include <math.h>
diff -uwr source/scripts/z.cpp 4.0/source/scripts/z.cpp
--- source/scripts/z.cpp	2011-08-24 23:44:34.000000000 +0800
+++ 4.0/source/scripts/z.cpp	2011-10-11 23:14:30.261718700 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
@@ -3579,6 +3577,36 @@
 	Console_Input(settime);
 }
 
+void z_Zone_Aircraft_Refill::Entered(GameObject *obj,GameObject *enterer)
+{
+	int Player_Type = Get_Int_Parameter("Player_Type");
+	if (CheckPlayerType(enterer,Player_Type))
+	{
+		return;
+	}
+	if ((Is_Vehicle(enterer)) && (Is_VTOL(enterer)))
+	{
+		Commands->Start_Timer(obj,this,1.0,Commands->Get_ID(enterer));
+	}
+}
+
+void z_Zone_Aircraft_Refill::Timer_Expired(GameObject *obj,int number)
+{
+	Vector3 pos1;
+	Vector3 pos2;
+	float distance;
+	pos1 = Commands->Get_Position(obj);
+	pos2 = Commands->Get_Position(Commands->Find_Object(number));
+	distance = Commands->Get_Distance(pos1,pos2);
+	if (distance <= Get_Float_Parameter("Refill_Distance"))
+	{
+		const char *pup = Get_Parameter("Powerup_Preset");
+		Commands->Give_PowerUp(Commands->Find_Object(number),pup,false);
+		Commands->Start_Timer(obj,this,1.0,number);
+	}
+}
+
+ScriptRegistrant<z_Zone_Aircraft_Refill> z_Zone_Aircraft_Refill_Registrant("z_Zone_Aircraft_Refill","Powerup_Preset=asdf:string,Player_Type=1:int,Refill_Distance=5000:float");
 ScriptRegistrant<z_Map_Time_Limit> z_Map_Time_Limit_Registrant("z_Map_Time_Limit","Time_In_Seconds=50000:int");
 ScriptRegistrant<z_Powerup_Expire> z_Powerup_Expire_Registrant("z_Powerup_Expire","");
 ScriptRegistrant<z_Killed_Play_Sound_Message> z_Killed_Play_Sound_Message_Registrant("z_Killed_Play_Sound_Message","Message=bla:string,WavSound=bla:string,Red=255:int,Green=0:int,Blue=0:int");
diff -uwr source/scripts/z.h 4.0/source/scripts/z.h
--- source/scripts/z.h	2011-08-24 23:44:34.000000000 +0800
+++ 4.0/source/scripts/z.h	2011-10-14 22:27:32.097656200 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class z_Powerup_Expire : public ScriptImpClass {
 	void Created(GameObject *obj);
@@ -593,7 +592,10 @@
 	void Created(GameObject *obj);
 };
 
-
+class z_Zone_Aircraft_Refill : public ScriptImpClass {
+	void Entered(GameObject *obj,GameObject *enterer);
+	void Timer_Expired(GameObject *obj,int number);
+};
 
 
 
diff -uwr source/scripts/z_am01.cpp 4.0/source/scripts/z_am01.cpp
--- source/scripts/z_am01.cpp	2011-04-11 13:06:16.000000000 +0800
+++ 4.0/source/scripts/z_am01.cpp	2011-10-11 23:14:24.627929600 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_am01.h 4.0/source/scripts/z_am01.h
--- source/scripts/z_am01.h	2010-10-15 07:19:22.000000000 +0800
+++ 4.0/source/scripts/z_am01.h	2011-10-14 22:27:32.175781200 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 /*********************************************************************************************/
 class z_aM01_Einstein : public ScriptImpClass {
diff -uwr source/scripts/z_am02.cpp 4.0/source/scripts/z_am02.cpp
--- source/scripts/z_am02.cpp	2011-05-10 22:51:40.000000000 +0800
+++ 4.0/source/scripts/z_am02.cpp	2011-10-11 23:14:21.951171800 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_am02.h 4.0/source/scripts/z_am02.h
--- source/scripts/z_am02.h	2011-05-04 12:50:52.000000000 +0800
+++ 4.0/source/scripts/z_am02.h	2011-10-14 22:27:32.209960900 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class z_aM02_TruckZone : public ScriptImpClass {
 	void Created(GameObject *obj);
diff -uwr source/scripts/z_buildingrevive.cpp 4.0/source/scripts/z_buildingrevive.cpp
--- source/scripts/z_buildingrevive.cpp	2011-05-04 12:50:52.000000000 +0800
+++ 4.0/source/scripts/z_buildingrevive.cpp	2011-10-11 23:14:19.441406200 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_buildingrevive.h 4.0/source/scripts/z_buildingrevive.h
--- source/scripts/z_buildingrevive.h	2011-05-04 12:50:52.000000000 +0800
+++ 4.0/source/scripts/z_buildingrevive.h	2011-10-14 22:27:31.952148400 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class z_Custom_Restore_Building : public ScriptImpClass {
 	void Custom(GameObject *obj, int message, int param, GameObject *sender);
diff -uwr source/scripts/z_cargo.cpp 4.0/source/scripts/z_cargo.cpp
--- source/scripts/z_cargo.cpp	2010-10-15 07:19:22.000000000 +0800
+++ 4.0/source/scripts/z_cargo.cpp	2011-10-11 23:14:17.298828100 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_cargo.h 4.0/source/scripts/z_cargo.h
--- source/scripts/z_cargo.h	2010-10-15 07:19:22.000000000 +0800
+++ 4.0/source/scripts/z_cargo.h	2011-10-14 22:27:31.993164000 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class z_Pup_Soviet_Shocky : public ScriptImpClass {
 	void Custom(GameObject *obj, int message, int param, GameObject *sender);
diff -uwr source/scripts/z_cold_fever.cpp 4.0/source/scripts/z_cold_fever.cpp
--- source/scripts/z_cold_fever.cpp	2011-05-18 22:54:54.000000000 +0800
+++ 4.0/source/scripts/z_cold_fever.cpp	2011-10-11 23:14:15.227539000 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_cold_fever.h 4.0/source/scripts/z_cold_fever.h
--- source/scripts/z_cold_fever.h	2011-05-18 22:54:54.000000000 +0800
+++ 4.0/source/scripts/z_cold_fever.h	2011-10-14 22:27:31.988281200 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class z_Cold_Closest_Star : public ScriptImpClass {
 	void Created(GameObject *obj);
diff -uwr source/scripts/z_coop.cpp 4.0/source/scripts/z_coop.cpp
--- source/scripts/z_coop.cpp	2011-06-01 08:38:26.000000000 +0800
+++ 4.0/source/scripts/z_coop.cpp	2011-10-11 23:14:11.353515600 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_coop.h 4.0/source/scripts/z_coop.h
--- source/scripts/z_coop.h	2011-06-01 08:38:26.000000000 +0800
+++ 4.0/source/scripts/z_coop.h	2011-10-14 22:27:32.200195300 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2011 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 
 class z_I_Am_A_Player : public ScriptImpClass {
diff -uwr source/scripts/z_darkdawn.cpp 4.0/source/scripts/z_darkdawn.cpp
--- source/scripts/z_darkdawn.cpp	2011-04-21 22:18:04.000000000 +0800
+++ 4.0/source/scripts/z_darkdawn.cpp	2011-10-11 23:14:04.455078100 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
diff -uwr source/scripts/z_darkdawn.h 4.0/source/scripts/z_darkdawn.h
--- source/scripts/z_darkdawn.h	2011-04-21 22:18:04.000000000 +0800
+++ 4.0/source/scripts/z_darkdawn.h	2011-10-14 22:27:32.148437500 +0800
@@ -1,16 +1,15 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 
 class z_MechUnlockSovTank : public ScriptImpClass {
diff -uwr source/scripts/z_endgame.cpp 4.0/source/scripts/z_endgame.cpp
--- source/scripts/z_endgame.cpp	2010-10-15 07:19:22.000000000 +0800
+++ 4.0/source/scripts/z_endgame.cpp	2011-10-11 23:14:13.342773400 +0800
@@ -1,14 +1,12 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - mp-gaming.com
-	Copyright 2010 zunnie
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
-	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
-	under the terms of the GNU General Public License as published by the Free
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
 	Software Foundation; either version 2, or (at your option) any later
 	version. See the file COPYING for more details.
-	In addition, an exemption is given to allow Run Time Dynamic Linking of this code 
-	with any closed source module that does not contain code covered by this licence.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
 #include "General.h"
